using System;
using bizFacade;
//using SystemFramework;
using MesServerWork;

namespace MesServerFunctions
{
    partial class FunctionMES
    {
        /// <summary>
        /// 保存完成(针对半自动和手动压装工位)
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void MesReadOver(object e)
        {
            try
            {
                DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                string OpName = Convert.ToString(msgEvent.OpName); // 这个是带_mes的
                int tagValue = Convert.ToInt32(msgEvent.TagValue);
                string OpName_PLC = OpName.Replace("_mes", "");

                // 由于mes工位的特殊限制，导致misdata的监控变化不会以正确的工位号传递给网页，所以在这里特殊处理一下
                MIS_BASE.asyncSendMessage("MES|MesReadOver|" + OpName_PLC + "|" + tagValue.ToString());

                //if (tagValue == 1)
                //{

                //    BaseDataSystemMES.Material_Insert(OpName, tagValue);

                //    MIS_BASE.Write_ConfirmOkGo(OpName, true);
                //}
            }
            catch (Exception err)
            {
                ////ApplicationLog.WriteLog(err, "Function08:MesReadOver");
            }
        }
    }
}
